Subject: bug#4573: Regular emacs freeze-ups

From: David Pleydell <[email-masked]>
Date: Mon, 28 Sep 2009 02:24:25 -0700 (PDT)

I have a problem with emacs sporadically freezing up on me when I access the electric-buffer-list. Every now and then (but certainly not always) when I execute C-x C-b the screen freezes, the message <<<Press Return to bury the buffer list>> displays at the bottom but no buffer-list is displayed and my only way out is to xkill emacs. Obviously this disrupts the work flow somewhat.

There is another, possibly related, bug. Occasionally the cursor starts behaving strangely. When I type or scroll left or right the cursor leaves a trail of identical character such as bbbbbbbbbbbbbbbbbbbbbb. This is purely visual, if I switch to another buffer and back again the artefact is no longer there (except right next to the cursor). Again this is far from desirable. I believe this is a related bug because it seems once it starts doing this and I call the electric buffer list then the freeze bug is guaranteed.

I have no idea what triggers these bugs, sometimes I can use emacs for several hours without the bugs occuring, sometimes they occur many times an hour. I always launch emacs in full-screen mode and wonder if that might be related (I'll test this possibility and post the result).

I am running Ubuntu (Jaunty) installed on an external USB drive connected to on a Dell laptop with 2Gb RAM. My emacs version is 22 obtained from the Ubuntu repositories and a recent reinstall did not solve the problem.

any ideas?